#!/bin/bash

# clean up
rm -r simulations
rm simulation*
mkdir simulations

cycles=100
leaves=50

for pco in 0.25 0.50 0.75
do
	mkdir simulations/$pco
	for psw in 0.25 0.50 0.75
	do
		mkdir simulations/$pco/$psw

		java -jar core-genbl.jar -c$cycles -l$leaves -pco$pco -psw$psw -blf0.5 -blt2.0
		for i in $(seq 1 $cycles);
		do
			echo "$pco $psw $i"
			echo "Jane and Treemap"
			java -jar T3J4Reconstruction.jar simulation$i.jt.nex
			echo "CoRe-ILP"
			java -jar core-ilp.jar simulation$i.ci1.nex 0.5 2.0 > simulation$i.ci1.reco
			java -jar core-ilp.jar simulation$i.ci2.nex 0.25 4.0 > simulation$i.ci2.reco
			echo "Notung"
			start=$(date +%s.%N)
			java -jar Notung-2.8.1.1-beta.jar -g simulation$i.notung.genetree -s simulation$i.notung.speciestree --reconcile --infertransfers true --events --speciestag postfix
			stop=$(date +%s.%N)
			runtime=$(echo "$stop - $start" | bc)
			runtime=$(echo "$runtime * 1000" | bc)
			echo "$runtime" >> simulation$i.notung.genetree.reconciled.0.ntg
			echo "RANGER-DTL"
			start=$(date +%s.%N)
			./ranger-dtl-U.linux -i simulation$i.rangerdtl.trees -o simulation$i.rangerdtl.reco
			stop=$(date +%s.%N)
			runtime=$(echo "$stop - $start" | bc)
			runtime=$(echo "$runtime * 1000" | bc)
			echo "$runtime" >> simulation$i.rangerdtl.reco
			mv simulation$i* simulations/$pco/$psw
		done
	done
done

